NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
I can't get dbg-php-8.1.so to load


Joined: 18 Oct 2006
Posts: 75
Reply with quote
Hi,

I have a new Ubuntu 22.04 LTS server running and have gotten php setup up on it and displaying the phpinfo page.

I followed the instructions given by the debugger setup wizard in PhpEd which are as follows:

• debugger module dbg-php-8.1.so for the server platform is available
in "C:\Program Files\NuSphere\PhpED\debugger\server\dbg-11.0.18-Linux.tar.gz" archive, check x86_64 subdirectory in it
• extract the module and copy it to /usr/lib/php/20210902 directory on your remote server
• add the following lines to /etc/php/8.1/apache2/php.ini

zend_extension='/usr/lib/php/20210902/dbg-php-8.1.so'
[debugger]
debugger.hosts_allow=::1, 127.0.0.1, localhost
debugger.hosts_deny=ALL
debugger.ports=7869

• restart web server
• launch phpinfo and check its output; make sure that one of the topmost headers contains:

ZendEngine vX.X.O, Copyright (c) 1998-20xx Zend Technologies with DBG V 11.0.X,(C) 2000, 20xx by Dmitri Dmitrienko


However, the "with DBG V 11.0.X,(C) 2000, 20xx by Dmitri Dmitrienko" doesn't appear in the phpinfo page after apache is restarted.

When I check the Apache error.log file I see the following message:


[Mon Feb 06 11:16:29.227911 2023] [mpm_prefork:notice] [pid 2048] AH00169: caught SIGTERM, shutting down
/usr/lib/php/20210902/dbg-php-8.1.so doesn't appear to be a valid Zend extension
[Mon Feb 06 11:16:30.392747 2023] [mpm_prefork:notice] [pid 2299] AH00163: Apache/2.4.52 (Ubuntu) configured -- resuming normal operations
[Mon Feb 06 11:16:30.392768 2023] [core:notice] [pid 2299] AH00094: Command line: '/usr/sbin/apache2'


I have tried again copying dbg-php-8.1.so from my unzipped/untarred file from "C:\Program Files\NuSphere\PhpED\debugger\server\dbg-11.0.18-Linux.tar.gz" but I get the same error after the second attempt.

The version I am using is 20.0 and the build is 20023. I got an email today to say build 20024 is ready and available but it doesn't yet appear in my products in my account page on shop.nusphere.com

Any help welcomed.

Nick
View user's profileFind all posts by nickweaversSend private messageVisit poster's websiteYahoo Messenger


Joined: 24 Mar 2010
Posts: 49
Reply with quote
I have got the same problem.
I am using several php-fpm versions from 7.2 to 8.1.
All of them have the same problem.
View user's profileFind all posts by eutychusSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 8338
Reply with quote
Hi Nick,
11.0.18 won't load as a zend_extension. You need either 11.0.19 or just extension= in your php.ini. In latter case you have to copy debugger into extention_dir directory and make sure that extension= does not contain the file path component. Unlike zend_extension, it accepts only base file name.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
I can't get dbg-php-8.1.so to load
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic